##### basic_file::resize (1 of 2 overloads)

Alter the size of the file.

    void resize(
        uint64_t n);

This function resizes the file to the specified size, in bytes. If the current file size exceeds `n` then any extra data is discarded. If the current size is less than `n` then the file is extended and filled with zeroes.

###### Parameters

n

  The new size for the file.

###### Exceptions

asio::system_error

  Thrown on failure.